hpp-corbaserver: hpp::corbaServer::AbstractServantBase< T > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::corbaServer::AbstractServantBase< T > Class Template Referenceabstract
Extending the bindings

`#include <hpp/corbaserver/servant-base.hh>`

Inheritance diagram for hpp::corbaServer::AbstractServantBase< T >:
[legend]
Collaboration diagram for hpp::corbaServer::AbstractServantBase< T >:
[legend]

## Public Types
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
virtual | ~AbstractServantBase ()
virtual TShPtr_t | get () const =0
virtual Server::ServantKey | getServantKey () const

## Protected Member Functions
| AbstractServantBase (Server *server)

## Protected Attributes
Server * | server_

## Detailed Description

### template<typename T>
class hpp::corbaServer::AbstractServantBase< T >

Base class for classes which provides bindings for HPP classes. Example usage are hpp::corbaServer::core_idl::Path, hpp::corbaServer::core_idl::PathVector, hpp::corbaServer::core_idl::Distance

## Member Typedef Documentation

## ◆ TShPtr_t

template<typename T >

typedef shared_ptr<T> hpp::corbaServer::AbstractServantBase< T >::TShPtr_t

## ◆ TWkPtr_t

template<typename T >

typedef weak_ptr<T> hpp::corbaServer::AbstractServantBase< T >::TWkPtr_t

## Constructor & Destructor Documentation

## ◆ ~AbstractServantBase()

template<typename T >

virtual hpp::corbaServer::AbstractServantBase< T >::~AbstractServantBase | ( |  | ) |
| inline virtual

## ◆ AbstractServantBase()

template<typename T >

hpp::corbaServer::AbstractServantBase< T >::AbstractServantBase | ( | Server * | server | ) |
| inline protected

## Member Function Documentation

## ◆ get()

template<typename T >

virtual TShPtr_t hpp::corbaServer::AbstractServantBase< T >::get | ( |  | ) | const
| pure virtual

Implemented in hpp::corbaServer::ServantBase< T, _Storage >, hpp::corbaServer::ServantBase< constraints::DifferentiableFunction, _Storage >, hpp::corbaServer::ServantBase< hpp::pinocchio::CenterOfMassComputation, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Distance, _Storage >, hpp::corbaServer::ServantBase< constraints::Implicit, _Storage >, hpp::corbaServer::ServantBase< hpp::core::SteeringMethod, _Storage >, hpp::corbaServer::ServantBase< hpp::core::PathValidation, _Storage >, hpp::corbaServer::ServantBase< hpp::core::ConfigurationShooter, _Storage >, hpp::corbaServer::ServantBase< hpp::core::ConnectedComponent, _Storage >, hpp::corbaServer::ServantBase< hpp::core::ConfigValidation, _Storage >, hpp::corbaServer::ServantBase< core::SteeringMethod, _Storage >, hpp::corbaServer::ServantBase< core::Distance, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Roadmap, _Storage >, hpp::corbaServer::ServantBase< hpp::core::PathPlanner, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Path, _Storage >, hpp::corbaServer::ServantBase< hpp::core::PathProjector, _Storage >, hpp::corbaServer::ServantBase< hpp::constraints::DifferentiableFunction, _Storage >, hpp::corbaServer::ServantBase< hpp::pinocchio::Device, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Problem, _Storage >, hpp::corbaServer::ServantBase< core::Problem, _Storage >, hpp::corbaServer::ServantBase< hpp::core::PathOptimizer, _Storage >, hpp::corbaServer::ServantBase< core::PathValidation, _Storage >, hpp::corbaServer::ServantBase< core::Path, _Storage >, hpp::corbaServer::ServantBase< hpp::constraints::Implicit, _Storage >, hpp::corbaServer::ServantBase< hpp::core::Constraint, _Storage >, and hpp::corbaServer::ServantBase< hpp::pinocchio::CollisionObject, _Storage >.

## ◆ getServantKey()

template<typename T >

virtual Server::ServantKey hpp::corbaServer::AbstractServantBase< T >::getServantKey | ( |  | ) | const
| inline virtual

Implements hpp::corbaServer::AbstractServantKey.

## Member Data Documentation

## ◆ server_

template<typename T >

Server* hpp::corbaServer::AbstractServantBase< T >::server_
| protected

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/servant-base.hh